Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.hybrid
Class StateChart

public class StateChart

Constructor Summary
`StateChart()`

Method Summary
`void` | `addState(State state)`
`void` | `addState(String name, String comment)`
`void` | `addTransition(Transition transition)`
`void` | `addTransition(String from, String to, String triggerType, String trigger, String comment)`
`Trigger` | `getConditionalTrigger(int i)`
`Vector` | `getEventQueue()`
`Trigger` | `getFirstTimeTrigger()` Returns first time trigger available from the current state.
`State` | `getState()`
`double` | `getTime()`
`void` | `setState(String stateName)`
`void` | `setState(State state)`
`void` | `setTime(double time)`

Constructor Detail

### StateChart

    public StateChart()

Method Detail

### addState

    public void addState(State state)

### addState

    public void addState(String name, String comment)

### addTransition

    public void addTransition(Transition transition)

### addTransition

    public void addTransition(String from, String to, String triggerType, String trigger, String comment)

  pending expand transition name if transition with the same name already exists

### getConditionalTrigger

    public Trigger getConditionalTrigger(int i)

### getEventQueue

    public Vector getEventQueue()

### getFirstTimeTrigger

    public Trigger getFirstTimeTrigger()

  Returns first time trigger available from the current state.

### getState

    public State getState()

### getTime

    public double getTime()

### setState

    public void setState(String stateName)

### setState

    public void setState(State state)

### setTime

    public void setTime(double time)

Association Links

to Class java.util.Hashtable

to Class java.util.Vector

to Class java.util.Vector

to Class java.util.Vector

to Class biouml.plugins.simulation.hybrid.State

  Current state.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM